import { IMAPFolderNativeBinding } from "../types";
import { NodeTrustedMailcore2NativeBinding } from '../types/NodeTrustedMailcore2NativeBinding';
import { FolderFlag } from '../enums/FolderFlag';
declare const bindings: NodeTrustedMailcore2NativeBinding;
/**
 * IMAPFolder Class
 *
 * @public
 */
declare class IMAPFolder extends bindings.IMAPFolder {
    handle: IMAPFolderNativeBinding;
    constructor();
    /**
     * Get path
     *
     * @type {string}
     * @memberof IMAPFolder
     */
    get path(): string;
    /**
     * Set path
     *
     * @memberof IMAPFolder
     */
    set path(pathV: string);
    /**
     * Get delimiter
     *
     * @type {string}
     * @memberof IMAPFolder
     */
    get delimiter(): string;
    /**
     * Set delimiter
     *
     * @memberof IMAPFolder
     */
    set delimiter(delimiterV: string);
    /**
     * Folder description
     *
     * @memberof IMAPSession
     */
    description(): string;
    /**
     * Get flags
     *
     * @type {FolderFlag}
     * @memberof IMAPFolder
     */
    get flags(): FolderFlag;
    /**
     * Set flags
     *
     * @memberof IMAPFolder
     */
    set flags(flagsVal: FolderFlag);
}
export { IMAPFolder };
//# sourceMappingURL=IMAPFolder.d.ts.map