import { MessageFlag } from "../enums/MessageFlag";
import { IMAPMessageNativeBinding } from "../types";
import { NodeTrustedMailcore2NativeBinding } from "../types/NodeTrustedMailcore2NativeBinding";
declare const bindings: NodeTrustedMailcore2NativeBinding;
/**
 * IMAPMessage Class
 *
 * @public
 */
declare class IMAPMessage extends bindings.IMAPMessage {
    handle: IMAPMessageNativeBinding;
    constructor();
    /**
     * Get sequenceNumber
     *
     * @type {number}
     * @memberof IMAPMessage
     */
    get sequenceNumber(): number;
    /**
     * Set sequenceNumber
     *
     * @memberof IMAPMessage
     */
    set sequenceNumber(sequenceNumberV: number);
    /**
     * Get uid
     *
     * @type {number}
     * @memberof IMAPMessage
     */
    get uid(): number;
    /**
     * Set uid
     *
     * @memberof IMAPMessage
     */
    set uid(uidV: number);
    /**
     * Get size
     *
     * @type {number}
     * @memberof IMAPMessage
     */
    get size(): number;
    /**
     * Set size
     *
     * @memberof IMAPMessage
     */
    set size(sizeV: number);
    /**
     * Message flags
     *
     * @type {MessageFlag}
     * @memberof IMAPMessage
     */
    get flags(): MessageFlag;
    /**
     * Set message flags
     *
     * @memberof IMAPMessage
     */
    set flags(flags: MessageFlag);
    /**
     * Original message flags
     *
     * @type {MessageFlag}
     * @memberof IMAPMessage
     */
    get originalFlags(): MessageFlag;
    /**
     * Set original message flags
     *
     * @memberof IMAPMessage
     */
    set originalFlags(flags: MessageFlag);
    htmlRendering(folder: string): string;
    description(): string;
}
export { IMAPMessage };
//# sourceMappingURL=IMAPMessage.d.ts.map