import { MessageHeaderNativeBinding } from "../types";
import { NodeTrustedMailcore2NativeBinding } from '../types/NodeTrustedMailcore2NativeBinding';
declare const bindings: NodeTrustedMailcore2NativeBinding;
/**
 * MessageHeader Class
 *
 * @public
 */
declare class MessageHeader extends bindings.MessageHeader {
    /**
     * Wrapping object handle
     *
     * @internal
     */
    handle: MessageHeaderNativeBinding;
    constructor();
    /**
     * Message ID getter
     *
     *
     * @type {string}
     * @memberof MessageHeader
     */
    get messageID(): string;
    /**
     * Message ID setter
     *
     *
     * @type {string}
     * @memberof MessageHeader
     */
    set messageID(msgId: string);
    /**
     * inReplyTo getter
     *
     *
     * @type {string}
     * @memberof MessageHeader
     */
    get inReplyTo(): string[];
    /**
     * inReplyTo setter
     *
     *
     * @type {string}
     * @memberof MessageHeader
     */
    set inReplyTo(val: string[]);
    /**
     * references getter
     *
     *
     * @type {string}
     * @memberof MessageHeader
     */
    get references(): string[];
    /**
     * inReplyTo setter
     *
     *
     * @type {string}
     * @memberof MessageHeader
     */
    set references(val: string[]);
    /**
     * date getter
     *
     *
     * @type {Date}
     * @memberof MessageHeader
     */
    get date(): Date;
    /**
     * date setter
     *
     *
     * @type {Date}
     * @memberof MessageHeader
     */
    set date(dateVal: Date);
    /**
     * receivedDate getter
     *
     *
     * @type {Date}
     * @memberof MessageHeader
     */
    get receivedDate(): Date;
    /**
     * receivedDate setter
     *
     *
     * @type {Date}
     * @memberof MessageHeader
     */
    set receivedDate(dateVal: Date);
    /**
     * sender getter
     *
     *
     * @type {string}
     * @memberof MessageHeader
     */
    get sender(): string;
    /**
     * sender setter
     *
     *
     * @type {string}
     * @memberof MessageHeader
     */
    set sender(val: string);
    /**
     * from getter
     *
     *
     * @type {string}
     * @memberof MessageHeader
     */
    get from(): string;
    /**
     * from setter
     *
     *
     * @type {string}
     * @memberof MessageHeader
     */
    set from(val: string);
    /**
     * to getter
     *
     *
     * @type {Array<string>}
     * @memberof MessageHeader
     */
    get to(): string[];
    /**
     * to setter
     *
     *
     * @type {Array<string>}
     * @memberof MessageHeader
     */
    set to(val: string[]);
    /**
     * cc getter
     *
     *
     * @type {Array<string>}
     * @memberof MessageHeader
     */
    get cc(): string[];
    /**
     * cc setter
     *
     *
     * @type {Array<string>}
     * @memberof MessageHeader
     */
    set cc(val: string[]);
    /**
     * bcc getter
     *
     *
     * @type {Array<string>}
     * @memberof MessageHeader
     */
    get bcc(): string[];
    /**
     * bcc setter
     *
     *
     * @type {Array<string>}
     * @memberof MessageHeader
     */
    set bcc(val: string[]);
    /**
     * replyTo getter
     *
     *
     * @type {Array<string>}
     * @memberof MessageHeader
     */
    get replyTo(): string[];
    /**
     * replyTo setter
     *
     *
     * @type {Array<string>}
     * @memberof MessageHeader
     */
    set replyTo(val: string[]);
    /**
     * subject getter
     *
     *
     * @type {string}
     * @memberof MessageHeader
     */
    get subject(): string;
    /**
     * subject setter
     *
     *
     * @type {string}
     * @memberof MessageHeader
     */
    set subject(val: string);
    /**
     * userAgent getter
     *
     *
     * @type {string}
     * @memberof MessageHeader
     */
    get userAgent(): string;
    /**
     * userAgent setter
     *
     *
     * @type {string}
     * @memberof MessageHeader
     */
    set userAgent(val: string);
    /**
     * Get all extra headers
     *
     * @return {*}  {{ [key: string]: string; }}
     * @memberof MessageHeader
     */
    extraHeaders(): {
        [key: string]: string;
    };
    /**
     * Get extra header by name
     *
     * @param {string} name
     * @return {*}  {string}
     * @memberof MessageHeader
     */
    extraHeaderValueForName(name: string): string;
    /**
     * Remove extra header by name
     *
     * @param {string} name
     * @memberof MessageHeader
     */
    removeExtraHeader(name: string): void;
    /**
     * Set extra header
     *
     * @param {string} name
     * @param {string} value
     * @return {*}  {void}
     * @memberof MessageHeader
     */
    setExtraHeader(name: string, value: string): void;
}
export { MessageHeader };
//# sourceMappingURL=MessageHeader.d.ts.map